#!/usr/bin/env python
# coding: utf-8

import pyPhelix

#---------------------------------------------------------------
# utilities

# a quick way to get exactly 128 bits
def _quick128(data):
    import md5
    md = md5.md5()
    md.update(data)
    return md.digest()

#---------------------------------------------------------------

key     = 'myKey'               # do better in real life
nonce   = 'aNonce'              # do better in real life
IV      = _quick128(nonce)      # force to exactly 128 bits
message = 'Kilroy was here!  ...and there.'
macSize = 128
header  = ''

ciphertext, mac1 = pyPhelix.encryptPacket(key, IV, message, 
                                               macSize, header)
plaintext,  mac2 = pyPhelix.decryptPacket(key, IV, ciphertext, 
                                               macSize, header)

if plaintext == message and mac2 == mac1:
    print '  *** good ***'
else:
    print '  *** bad ***'

#---------------------------------------------------------------
#---------------------------------------------------------------
#---------------------------------------------------------------
